### Method

# Gio VolumeMonitor get_volume_for_uuid

#### Declaration [src]

    GVolume*
    g_volume_monitor_get_volume_for_uuid (
      GVolumeMonitor* volume_monitor,
      const char* uuid
    )

#### Description [src]

Finds a `GVolume` object by its UUID (see g_volume_get_uuid()).

#### Parameters

`uuid`

  Type: `const char*`

  The UUID to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVolume`

A `GVolume` or `NULL` if no such volume is available. Free the returned object with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.